package com.device.comm.mylibrary.NativeDevice;

import com.device.comm.mylibrary.BleDevice;

import java.util.Map;

/**
 * Created by lvwang2002 on 2018/7/6.
 */

public interface BleNativeRBPDeviceCallback extends BleNativeDevice.BleNativeDeviceCallback {
    public void onStartTest(BleDevice device);
    public void onStopZero(BleDevice device);
    public void onResult(BleDevice device, Map<String, String> result);
    public void onProgressStatus(BleDevice device, BleNativeEnuoBPDevice.BPStatus status);
    public void onProgressValue(BleDevice device, Map<String, String> value);
    public void onError(BleDevice device, Map<String, String> error);
    public void onStopTest(BleDevice device);
    public void onPower(BleDevice device,int power);
    public void onDeviceShutDown(BleDevice device);
    public void onCheckConnectFinish(BleDevice device,boolean isSuc);
}